.commerce-checkout-flow{
    max-width: 76rem;
    margin: 0 auto;
    padding: 1.5rem;
    font-size: 0.9375rem;
}

.commerce-checkout-flow > div > div .form-item{
    margin-top: 0;
    margin-bottom: 0;
}

.commerce-checkout-flow > div > div .form-item:not(.form-type-radio, .form-type-checkbox){
    display: flex;
    flex-direction: column;
    gap: 0.15rem;
}

.commerce-checkout-flow > div > div fieldset.form-item.checkout-pane-checkout-terms-acceptance-pane{
    margin-top: 1.5rem;
}

.commerce-checkout-flow > div > div fieldset.form-item.checkout-pane-checkout-terms-acceptance-pane .fieldset-wrapper{
    flex-direction: row;
    gap: 0.5rem;
}

.commerce-checkout-flow > div > div .form-item label{
    font-size: 0.875rem;
}

.commerce-checkout-flow > div > div .form-item input,
.commerce-checkout-flow > div > div .form-item textarea{
    border: 1px solid var(--color-gray-200);
    border-radius: 8px;
    outline: 0;
    font-size: 0.9375rem;
    padding: 0.425rem 0.6rem;
    width: fit-content;
}

.commerce-checkout-flow > div > div .form-item input.button{
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 0.6375rem 1.5rem;
    font-size: 0.9375rem;
    width: fit-content;
    margin: 0;
    background-color: white;
    color: var(--color-primary);
}

.commerce-checkout-flow .form-actions input.button:hover,
.commerce-checkout-flow > div > div .form-item input.button:hover{
    opacity: 1;
    color: white;
    background-color: var(--color-primary);
}

.commerce-checkout-flow .form-actions input.button{
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 0.6375rem 1.5rem;
    font-size: 0.9375rem;
    width: fit-content;
    margin: 0;
    background-color: var(--color-primary);
    color: white;
}

.commerce-checkout-flow .form-actions input.button:hover{
    opacity: 0.8;
}

.commerce-checkout-flow .form-actions a{
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 0.6375rem 1.5rem;
    font-size: 0.9375rem;
    width: fit-content;
    margin: 0;
    background-color: white;
    color: var(--color-primary);
}

.commerce-checkout-flow .form-actions a:hover{
    background-color: var(--color-primary);
    color: white;
}

.commerce-checkout-flow > div > div .form-item input.form-radio{
    margin-right: 0.35rem;
}

.commerce-checkout-flow .layout-region-checkout-main > div > fieldset,
.commerce-checkout-flow .layout-region-checkout-main > fieldset{
    padding: 1rem;
    border: 0;
}

.commerce-checkout-flow .layout-region-checkout-main > div > fieldset legend,
.commerce-checkout-flow .layout-region-checkout-main > fieldset legend{
    font-size: 1.375rem;
    font-weight: 500;
    margin-bottom: 1rem;
}

.commerce-checkout-flow .layout-region-checkout-main #edit-shipping-information legend{
    margin-bottom: 0;
}

.commerce-checkout-flow .layout-region-checkout-main #edit-shipping-information-shipments-0-shipping-method-0--wrapper legend{
    margin-bottom: 1rem;
}

.commerce-checkout-flow .layout-region-checkout-main #edit-payment-information-payment-method--wrapper legend{
    font-size: 0.9375rem;
    font-weight: 600;
}

.commerce-checkout-flow .layout-region-checkout-main #edit-payment-information{
    margin-top: 1rem;
}

.commerce-checkout-flow .layout-region-checkout-main #edit-payment-information > legend{
    margin-bottom: 0;
}

.commerce-checkout-flow .layout-region-checkout-main > div > fieldset legend .legend-edit,
.commerce-checkout-flow .layout-region-checkout-main > fieldset legend .legend-edit{
    font-size: 0.875rem;
}

.commerce-checkout-flow .fieldset-wrapper,
.commerce-checkout-flow .fieldset-wrapper > div{
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.commerce-checkout-flow .fieldset-wrapper > .form-type-checkbox {
    display: block;
}

.commerce-checkout-flow .fieldset-wrapper > div::after{
    display: none;
}

.commerce-checkout-flow .fieldset-wrapper > .form-radios{
    gap: 0.75rem;
}

.commerce-checkout-flow .form-wrapper{
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.commerce-checkout-flow .form-wrapper.form-actions{
    align-items: center;
}

.commerce-checkout-flow .checkout-pane-review.form-wrapper {
    flex-wrap: nowrap;
    flex-direction: column;
}

.commerce-checkout-flow .layout-region-checkout-main > .checkout-pane-review.form-wrapper > fieldset legend{
    margin-bottom: 0;
}

.commerce-checkout-flow .chosen-container-single .chosen-single{
    background: initial;
    width: fit-content;
    box-shadow: none;
    padding: 0.5rem 1.25rem 0.5rem 0.7rem;
    height: fit-content;
    border: 1px solid var(--color-gray-200);
}

.commerce-checkout-flow .chosen-container-single .chosen-single,
.commerce-checkout-flow .chosen-container-single .chosen-drop{
    min-width: 18rem;
}

.commerce-checkout-flow .chosen-container-single .chosen-single div{
    width: 1.875rem;
}

.commerce-checkout-flow .chosen-container-single .chosen-single div b {
    background-image: none !important;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 0.75rem;
}
  
.commerce-checkout-flow .chosen-container-single .chosen-single div b::after {
    content: "";
    display: block;
    width: 8px;
    height: 8px;
    border-right: 1px solid #666;
    border-bottom: 1px solid #666;
    transform: rotate(45deg);
    margin-top: -4px;
}
  
.commerce-checkout-flow .chosen-container-active.chosen-with-drop .chosen-single div b::after {
    transform: rotate(-135deg);
    margin-top: 2px;
}

.commerce-checkout-flow .chosen-container.chosen-with-drop .chosen-drop{
    padding: 0.5rem;
    width: fit-content;
}

.commerce-checkout-flow .profile--view-mode--full .field--name-address .given-name,
.commerce-checkout-flow .profile--view-mode--full .field--name-address .family-name{
    font-weight: 700;
}

.commerce-checkout-flow .profile--view-mode--full .field--name-address,
.commerce-checkout-flow .profile--view-mode--full .field--name-field-phone{
    margin-bottom: 0.75rem;
}

.commerce-checkout-flow [id^="edit-shipping-information-shipping-profile-address-0-address-country-code"]{
    display: none;
}

.commerce-checkout-flow .form-item-shipping-information-shipping-profile-address-0-address-administrative-area{
    flex: 1 1 100%;
}

/* June 2026 */
.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset{
    border: 0;
    margin: 0;
    padding: 0;
    margin-bottom: 2rem;
}

.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset > legend{
    font-size: 1.375rem;
    font-weight: 400;
    margin-bottom: 1rem;  
}

.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset > legend::before{
    content: '1. ';
}

.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset #edit-shipping-information-customer-name,
.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset #edit-shipping-information-customer-surname,
.form-item-shipping-information-customer-name,
.form-item-shipping-information-customer-surname {
    text-transform: uppercase;

    label {
        text-transform: none;
    }
}

.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset #edit-shipping-information-customer-name label,
.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset #edit-shipping-information-customer-surname label{
    text-transform: initial;
}

.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset #edit-shipping-information-shipments > div > div > fieldset > legend{
    margin-bottom: 1rem;  
}

.commerce-checkout-flow .layout-checkout-form #shipping-information-wrapper > fieldset #edit-shipping-information-shipping-profile .field--name-address > .form-wrapper > div > div{
    flex-direction: column;
}

.commerce-checkout-flow .layout-checkout-form > fieldset{
    border: 0;
    margin: 0;
    padding: 0;
    margin-bottom: 2rem;
}

.commerce-checkout-flow .layout-checkout-form  > fieldset > legend{
    font-size: 1.375rem;
    font-weight: 400;
    margin-bottom: 1rem;  
}

.commerce-checkout-flow .layout-checkout-form > fieldset .fieldset-wrapper{
    gap: 0.5rem;
}

.commerce-checkout-flow .layout-checkout-form > fieldset .fieldset-wrapper .form-item:not(.form-type-radio,.form-type-checkbox) {
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 0.5rem
}

.commerce-checkout-flow .layout-checkout-form > fieldset .fieldset-wrapper .form-item input,
.commerce-checkout-flow .layout-checkout-form > fieldset .fieldset-wrapper .form-item textarea,
.commerce-checkout-flow .layout-checkout-form > fieldset .fieldset-wrapper .form-item select{
    border: 1px solid var(--color-gray-200);
    border-radius: 8px;
    outline: 0;
    font-size: 0.9375rem;
    padding: 0.425rem 0.6rem;
    width: auto;
}

.commerce-checkout-flow .layout-checkout-form > fieldset .fieldset-wrapper .form-item select{
    width: -webkit-fill-available;
    width: -moz-available;
    width: stretch;
    background: url('../../images/select_open.png') no-repeat right;
    -webkit-appearance: none;
    appearance: none;
    background-position-x: calc(100% - 9px);
}

/* CHECKOUT REVIEW */

/* Checkout review table */

.commerce-checkout-flow[action$="review"] .checkout-cart-table{
    width: 100%;
    margin-bottom: 2rem;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table thead th{
    text-align: left;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 0.9375rem;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td{
    font-size: 0.875rem;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table thead th,
.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td{
    padding: 0.325rem 0.9375rem;
}
@media(width > 62rem){
    .commerce-checkout-flow[action$="review"] .checkout-cart-table thead th,
    .commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td{
        padding: 1rem 1.75rem;
    } 
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody tr:nth-child(odd){
    background-color: var(--color-gray-050);
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td a{
    color: var(--color-gray);
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td a:hover{
    text-decoration: underline;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td .form-type-number input{
    border-radius: 1.125rem;
    padding: 0.5rem 1rem;
    border: 1px solid var(--color-gray);
    outline: none;
    text-align: center;
    width: 5.1rem;
    -moz-appearance: number-input;
    appearance: auto;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td .form-type-number input::-webkit-outer-spin-button,
.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td .form-type-number input::-webkit-inner-spin-button {
    opacity: 1;
    background: transparent;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table thead th.views-field-remove-button{
    text-align: center;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td .remove-button{
    display: grid;
    grid-template-areas: "button";
    width: 1.25rem;
    height: 1.25rem;
    margin: 0 auto;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td .remove-button input{
    width: 1.25rem;
    height: 1.25rem;
    display: block;
    grid-area: button;
    background-color: initial;
    border: 0;
    font-size: 0;
}

.commerce-checkout-flow[action$="review"] .checkout-cart-table tbody td .remove-button::before{
    grid-area: button;
    content: url('data:image/svg+xml,<svg viewBox="0 0 19 21" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.5 4.5H2.5M2.5 4.5H18.5M2.5 4.5V18.5C2.5 19.0304 2.71071 19.5391 3.08579 19.9142C3.46086 20.2893 3.96957 20.5 4.5 20.5H14.5C15.0304 20.5 15.5391 20.2893 15.9142 19.9142C16.2893 19.5391 16.5 19.0304 16.5 18.5V4.5H2.5ZM5.5 4.5V2.5C5.5 1.96957 5.71071 1.46086 6.08579 1.08579C6.46086 0.710714 6.96957 0.5 7.5 0.5H11.5C12.0304 0.5 12.5391 0.710714 12.9142 1.08579C13.2893 1.46086 13.5 1.96957 13.5 2.5V4.5M7.5 9.5V15.5M11.5 9.5V15.5" stroke="%238A8C8E" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    display: block;
    width: 20px;
    height: auto;
}

/* Checkout review panel */

.commerce-checkout-flow[action$="review"] .checkout-pane-order-summary{
    justify-content: flex-end;
    margin-bottom: 2rem;
}

.commerce-checkout-flow[action$="review"] .checkout-pane-order-summary table{
    margin-bottom: 1.5rem;
} 

.commerce-checkout-flow[action$="review"] .checkout-pane-order-summary table tr{
    border-bottom: 1px solid var(--color-gray-200);
}

.commerce-checkout-flow[action$="review"] .checkout-pane-order-summary table td{
    padding: 0.5rem 0.75rem;
    text-align: right;
}

.commerce-checkout-flow[action$="review"] .checkout-pane-order-summary .order-total-line-label{
    font-size: 1.25rem;
}

.commerce-checkout-flow[action$="review"] .checkout-pane-order-summary .order-total-line__total  .order-total-line-label{
    font-weight: 700;
}

/* Checkout review layout */

.commerce-checkout-flow[action$="review"] .layout-checkout-form .layout-region-checkout-main{
    padding: 1.75rem 1rem;
    background-color: var(--color-gray-050);
}

.commerce-checkout-flow[action$="review"] > div > div fieldset.form-item.checkout-pane-checkout-terms-acceptance-pane .fieldset-wrapper{
    flex-direction: column;
}

.commerce-checkout-flow[action$="review"] .layout-checkout-form .layout-region-checkout-footer{
    display: flex;
    justify-content: flex-end;
}

@media(width > 62rem){
    .commerce-checkout-flow[action$="review"] .layout-checkout-form{
        display: grid;
        gap: 2rem;
        grid-template-columns: 1.25fr 2.5fr;
        grid-template-rows: 1fr min-content;
        grid-template-areas:    "sidebar main"
                                "sidebar footer";
    }

    .commerce-checkout-flow[action$="review"] .layout-checkout-form .layout-region-checkout-main,
    .commerce-checkout-flow[action$="review"] .layout-checkout-form .layout-region-checkout-sidebar,
    .commerce-checkout-flow[action$="review"] .layout-checkout-form .layout-region-checkout-footer{
       width: 100%;
       float: none;
       padding-right: 0;
    }

    .commerce-checkout-flow[action$="review"] .layout-checkout-form .layout-region-checkout-main{
        grid-area: sidebar;
        padding: 1.75rem 1rem;
    }

    .commerce-checkout-flow[action$="review"] .layout-checkout-form .layout-region-checkout-sidebar{
        grid-area: main;
    }

    .commerce-checkout-flow[action$="review"] .layout-checkout-form .layout-region-checkout-footer{
        grid-area: footer;
    }
}


#edit-shipping-information-shipments {
    order: 1;
}